from django.http import HttpResponseRedirect
from django.shortcuts import render
from django.core.urlresolvers import reverse
from django.conf import settings
from cs50.cs50 import CS50
import sys
import tempfile

# index url; generic just for testing purposes
def index(request):
    return render(request, 'app/index.html')

# login test using CS50 library
def login(request):
    if 'user' in request.session:
        return HttpResponseRedirect(reverse('app:index'))
    else:
        return HttpResponseRedirect(CS50.getLoginUrl(settings.TRUST_ROOT, settings.RETURN_TO, request.session))

# return test using CS50 library
def return_to(request):
    user = CS50.getUser(settings.RETURN_TO, request.session, request.GET, request.POST)
    
    if (user):
        request.session['user'] = user
        
    return HttpResponseRedirect(reverse('app:index'))
    
# logout function
def logout(request):
    del request.session['user']
    
    return HttpResponseRedirect(reverse('app:index'))
